/*:
 * @plugindesc Custom menu sprites
*/

//
// Alternate image script made by RPH.
//

(function() {
    let oldItemIcon = Window_Base.prototype.drawItemIcon;
    let oldShopInit = Scene_OmoriItemShop.prototype.initAtlastLists;
    Window_Base.prototype.drawItemIcon = function(item, x, y, rate = 1.0) {
        if (DataManager.isArmor(item) && item.id === 113) { 
            let bitmap = ImageManager.loadSystem("bunny_badge"); 
            bitmap.addLoadListener(() => {
                let width = 108;
                let height = 108;
                let sX = 0;
                let sY = 0;
                this.contents.blt(bitmap, sX, sY, width, height, x, y, width * rate, height * rate);
            });
        } else { 
            oldItemIcon.call(this, ...arguments);
        }
    }
    Scene_OmoriItemShop.prototype.initAtlastLists = function() {
        oldShopInit.call(this);
        ImageManager.reserveSystem("bunny_badge", 0,  this._imageReservationId)
    }
})();

(function() {
    let oldItemIcon = Window_Base.prototype.drawItemIcon;
    let oldShopInit = Scene_OmoriItemShop.prototype.initAtlastLists;
    Window_Base.prototype.drawItemIcon = function(item, x, y, rate = 1.0) {
        if (DataManager.isWeapon(item) && item.id === 80) { 
            let bitmap = ImageManager.loadSystem("bunnybare"); 
            bitmap.addLoadListener(() => {
                let width = 108;
                let height = 108;
                let sX = 0;
                let sY = 0;
                this.contents.blt(bitmap, sX, sY, width, height, x, y, width * rate, height * rate);
            });
        } else { 
            oldItemIcon.call(this, ...arguments);
        }
    }
    Scene_OmoriItemShop.prototype.initAtlastLists = function() {
        oldShopInit.call(this);
        ImageManager.reserveSystem("bunnybare", 0,  this._imageReservationId)
    }
})();

(function() {
    let oldItemIcon = Window_Base.prototype.drawItemIcon;
    let oldShopInit = Scene_OmoriItemShop.prototype.initAtlastLists;
    Window_Base.prototype.drawItemIcon = function(item, x, y, rate = 1.0) {
        if (DataManager.isWeapon(item) && item.id === 82) { 
            let bitmap = ImageManager.loadSystem("bunnybare"); 
            bitmap.addLoadListener(() => {
                let width = 108;
                let height = 108;
                let sX = 0;
                let sY = 0;
                this.contents.blt(bitmap, sX, sY, width, height, x, y, width * rate, height * rate);
            });
        } else { 
            oldItemIcon.call(this, ...arguments);
        }
    }
    Scene_OmoriItemShop.prototype.initAtlastLists = function() {
        oldShopInit.call(this);
        ImageManager.reserveSystem("bunnybare", 0,  this._imageReservationId)
    }
})();